camel-iconv
3
CAMEL Library

# camel-iconv

## Synopsis

    const char*         camel_iconv_locale_charset          (void);
    const char*         camel_iconv_locale_language         (void);
    const char*         camel_iconv_charset_name            (const char *charset);
    const char*         camel_iconv_charset_language        (const char *charset);
    iconv_t             camel_iconv_open                    (const char *to,
                                                             const char *from);
    size_t              camel_iconv                         (iconv_t cd,
                                                             const char **inbuf,
                                                             size_t *inleft,
                                                             char **outbuf,
                                                             size_t *outleft);
    void                camel_iconv_close                   (iconv_t cd);

## Description

## Details

### camel_iconv_locale_charset ()

    const char*         camel_iconv_locale_charset          (void);

Returns :

### camel_iconv_locale_language ()

    const char*         camel_iconv_locale_language         (void);

Returns :

### camel_iconv_charset_name ()

    const char*         camel_iconv_charset_name            (const char *charset);

`charset` :

Returns :

### camel_iconv_charset_language ()

    const char*         camel_iconv_charset_language        (const char *charset);

`charset` :

Returns :

### camel_iconv_open ()

    iconv_t             camel_iconv_open                    (const char *to,
                                                             const char *from);

`to` :

`from` :

Returns :

### camel_iconv ()

    size_t              camel_iconv                         (iconv_t cd,
                                                             const char **inbuf,
                                                             size_t *inleft,
                                                             char **outbuf,
                                                             size_t *outleft);

`cd` :

`inbuf` :

`inleft` :

`outbuf` :

`outleft` :

Returns :

### camel_iconv_close ()

    void                camel_iconv_close                   (iconv_t cd);

`cd` :